I'm thinking :
any . found in path of light, change to :  
	'=' if traveling horrizontaly.
	'H' if traveling vertically.
	'#' if light has traveled hor and ver through this point.

I am pretty sure at this point that if light has gone left at any point, that going right from this point is pointless.
If light has already traveled right, then wherever going left would have gotten the light should have already been there.
Same with Vertically.

I hope I'm right about his.

I'm also thinking recursive is the way to go with this problem.

The game starts from top left, moving right.
So we know our next box, and we know our direction,  so my recursive function will:

let cur_space:Point(x,y) = 0,0;
let cur_dir = right;
next_move(cur_space, cur_dir);
	check the next space in current direction
	if space is :
	match cur_space {
		"." => {
		  	if cur_dir is either left or right  make space = "="
			if cur_dir is up/down make space "H"
			// no change is direction.
			cur_space = new value after moving left or right or up or down.
			next_move(cur_space)
		}
		"|" => {
			if curdir is left/right
		}
		"-" => {}
		"=" => {}
		"H" => {}
		"#" => {}
	}

------------------------------------------------
I need to add somehow to check if any tile is allready horrizontaly or vertically activated... hact, and vact.
possibly make tiles a struct,  with the value, as well as the hact, and vact bools.
if a recursion detects a cell that is activated in a direction it plans to go, it needs to break out, as it could lead to an infinite loop, or at least waisted processing.

One idea.... if make struct { tile char, u8 }
then i can add 1 to u8 when hactivated,  and add 2 when v activated.
this way testing for > 0 means activated.
ans can test for each independantly by xor
	 to find v vs h :  u8 & 1 > 0 , or u8 & 2 > 0  
---------------------------------------------------
